#include <memory>
#include "ResourcePool/mysql/ResourcePool.hh"

#include "t/main.hh"

#include "testconfig.cc"
#include "../SQL/SQLBatch.t.cc"

std::auto_ptr<RP> rp;

void INIT_mysql_SQLBatch() {
	rp.reset(new RP(getFactory()));
	test_SQLBatch_init(*rp);
}

void TEST_mysql_SQLBatch_one() {
	test_SQLBatch_one(*rp);
}

void TEST_mysql_SQLBatch_fail() {
	test_SQLBatch_fail(*rp);
}

void TEST_mysql_SQLBatch_complex() {
	test_SQLBatch_complex(*rp);
}

void TEST_mysql_SQLBatch_nested() {
	test_SQLBatch_nested(*rp);
}

void TEST_PERF_mysql_SQLBatch_ok() {
	test_PERF_SQLBatch_ok<RP::Commands::SQLBatch>(*rp);
}

void TEST_PERF_mysql_SQLBatch_failoften() {
	test_PERF_SQLBatch_failoften(*rp);
}
