//********************************************************************
//*** ResourcePool/mysql/SQLSelectRow.cc
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: SQLSelectRow.cc,v 1.21 2009-03-18 06:52:57 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */


#ifndef RESOURCEPOOL_MYSQL_SQLSELECTROW_HH
#include "SQLSelectRow.hh"
#endif

#ifndef RESOURCEPOOL_MYSQL_MYSQLEXCEPTION_HH
#include "MysqlException.hh"
#endif

#include <sstream>

#include <mysql/mysql.h>

namespace fatalmind {
namespace mysql {

SQLSelectRow::SQLSelectRow(
	  const SQL::SQLStatement& SQL
	, SQL::SQLFetcher& fetcher
)
: SQLSelect(SQL, fetcher)
{
	highlimit = 1;
	lowlimit = 1;
	hardhighlimit = true;
}

SQLSelectRow::SQLSelectRow(
	  const ResourcePool<ResourceType>& p
	, const SQL::SQLStatement& SQL
	, SQL::SQLFetcher& fetcher
)
: SQLSelect(p, SQL, fetcher)
{
	highlimit = 1;
	lowlimit = 1;
	hardhighlimit = true;
}

/*
void SQLSelectRow::execute(mysqlResource& dbh)
{
	SQLSelect::execute(dbh);
	_row = 0;
	SQLSelect::execute(dbh);
	if (_row == 0) {
		throw NFOMysqlException("NO DATA", 99, _SQL);
	}
}
*/


void SQLSelectRow::outputoperator(std::ostream& s) const {
	s << "mysql::SQLSelectRow[" << _SQL << '|';
	bindoutputoperator(s);
	s << ']';
}

}
}
