//********************************************************************
//*** ResourcePool/oracle/lex.oracle_connect.hh
//*** Copyright (c) 2003-2009 by Markus Winand <mws@fatalmind.com>
//*** $Id: lex.oracle_connect.hh,v 1.7 2009-03-23 08:29:38 mws Exp $
//********************************************************************
/*
This file is part of ResourcePool.

ResourcePool is free software; you can redistribute it
and/or modify it under the terms of the GNU General Public License
as published by the Free Software Foundation; either version 2 of
the License, or (at your option) any later version.

ResourcePool is distributed in the hope that it will be
useful, but WITHOUT ANY WARRANTY; without even the implied warranty
of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
GNU General Public License for more details.

You should have received a copy of the GNU General Public License
along with ResourcePool; if not, write to the Free Software
Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA
02111-1307  USA */

#ifndef RESOURCEPOOL_ORACLE_ORACLECONNECT_HH
#define RESOURCEPOOL_ORACLE_ORACLECONNECT_HH

#ifndef INCLUDED_GC_PTR_HH
#include "mm/gc_ptr.hh"
#endif

#include <string>
#include <sstream>

#ifndef ORACLE_INCLUDE_FLEXLEXER
#undef yyFlexLexer
#define yyFlexLexer oracle_connectFlexLexer
#include <FlexLexer.h>
#endif

namespace fatalmind {

class oracle_connect: public oracle_connectFlexLexer {
	public:
		oracle_connect(const std::string& service, const std::string& user, const std::string& pass);
		oracle_connect(const std::string& connect);
		oracle_connect(const oracle_connect& oc);

		std::string getUser() const;
		std::string getPass() const;
		std::string getService() const;

	private:
		void _validate() const;
		void _parsingError(char ch) const;
		int yylex ();
	
		std::string        _user;
		std::string        _pass;
		std::string        _service;
};
} // namespace fatalmind

#endif
